{ pkgs }:

pkgs.stdenv.mkDerivation {
  pname = "catppuccin-sddm";
  version = "1a58b5c";

  src = pkgs.fetchFromGitHub {
    owner = "catppuccin";
    repo = "sddm";
    rev = "808b4b65c044cd13287d5956ccf2bf49a7d2615f";
    hash = "sha256-ddz++Xzh3tiEdEnYvIhKcN8Y3FRSvaN0wtmCMb7DEVc=";
  };

  propagatedUserEnvPkgs = with pkgs.libsForQt5; [ qtquickcontrols2 qtsvg ];

  dontBuild = true;

  installPhase = ''
    mkdir -p $out/share/sddm/themes
    cp -r ./src/* $out/share/sddm/themes
  '';
}
